//银盛支付所需的字典数据，暂时写在这儿，后面理思路加到数据库里

export default {
	//商户类型
	shop_type:()=>{
		return [
			{name:'小微',label:'2'},
			{name:'个体',label:'3'},
			{name:'企业',label:'4'},
			{name:'社会组织',label:'5'},
			{name:'事业单位',label:'6'},
			{name:'政府机关',label:'7'}
		]
	},
	//证件类型
	crpCertType:()=>{
		return [
			{name:'身份证',value:'00'},
			{name:'国外护照',value:'06'},
			{name:'港澳通行证',value:'07'},
			{name:'台胞通行证',value:'08'},
		]
	},
	
	//结算账户类
	stlAccType:()=>{
		return [
			{name:'对私',value:'11'},
			{name:'对公',value:'21'},
			{name:'对公存折',value:'23'},
			{name:'单位结算卡',value:'24'},
		]
	},
	
	//营业执照证件类型
	busCertType:()=>{
		return [
			{name:'社会统一信用代码',value:'19'},
			{name:'事业单位法人证书',value:'z2'},
			{name:'其他证明文件',value:'z4'},
			{name:'民办非企业单位登记证书',value:'z5'},
			{name:'基金会法人登记证书',value:'z6'},
		]
	},
	//到账类型
	busOpenTypes:()=>{
		return [
			{name:'T+1',value:'00',checked: true},
			{name:'D+1',value:'20',checked: false},
			{name:'实时到账',value:'01',checked: false},
		]
	},
	
	//实名认证状态对应的信息
	authResMsg:()=>{
		return {
			APPLYMENT_STATE_WAITTING_FOR_AUDIT:'审核中，请耐心等待1~2个工作日，微信支付将会完成审核',
			APPLYMENT_STATE_EDITTING:'编辑中，可能提交申请发生了错误导致，可用同一个业务申请编号重新提交',
			APPLYMENT_STATE_WAITTING_FOR_CONFIRM_CONTACT:'待确认联系信息，请扫描小程序码确认联系信息',
			APPLYMENT_STATE_WAITTING_FOR_CONFIRM_LEGALPERSON:'待账户验证，请扫描小程序码在小程序端完成账户验证',
			APPLYMENT_STATE_PASSED:'审核通过，请扫描小程序码在小程序端完成授权流程',
			APPLYMENT_STATE_REJECTED:'审核驳回，请按照驳回原因修改申请资料，重新提交申请',
			APPLYMENT_STATE_FREEZED:'已冻结，可能是该主体已完成过入驻，请查看驳回原因，并通知驳回原因中指定的联系人扫描小程序码在小程序端完成授权流程',
			APPLYMENT_STATE_CANCELED:'已作废，表示申请单已被撤销，无需再对其进行操作',
			AUDITING:'审核中',
			LEGAL_CONFIRM:'待法人确认',
			CONTACT_CONFIRM:'待确认联系信息',
			AUDIT_REJECT:'审核失败',
			AUDIT_PASS:'审核通过',
			CANCELED:'已撤回',
			AUDIT_FREEZE:'已冻结',
		}
	},
	
	params:()=>{
		return {
    "channelName": "银盛",
    "channelType": "ys",
    "merch_rate": "0.25",
    "custInfo": {
        "mercName": "青岛兼程教育科技有限公司",
        "mercShortName": "兼程教育",
        "shop_type": "4",
        "mccStr": "其他学校和教育服务",
        "mccCd": "8299",
        "contactMail": "1282495619@qq.com",
        "cusMgrNm": "高月翔",
        "cusMgrID": "143",
        "notifyUrl": "",
        "agtMercId": "8014520000032X1"
    },
    "crpInfo": {
        "crpCertNo": "370213198305255227",
        "crpCertType": "00",
        "crpCertTypeStr": "身份证",
        "certBgn": "20100526",
        "certExpire": "20300526",
        "crpNm": "王璇",
        "crpPhone": "17854209856",
        "crpSex": "女"
    },
    "stlAccInfo": {
        "isUncrpSett": "Y",
        "stlAccNm": "王璇",
        "stlAccNo": "6217680603877809",
        "bankSubCode": "302452000017",
        "bankSubStr": "中信银行股份有限公司青岛山东路支行",
        "stlAccType": "11",
        "stlAccTypeStr": "对私",
        "bankMobile": "13963939520",
        "openCertNo": "370213198305255227",
        "standByStlAccNo": "232542093211",
        "standByStlAccNm": "青岛兼程教育科技有限公司",
        "standByStlAccType": "21",
        "standByStlAccTypeStr": "对公",
        "standByBankSubStr": "中国银行股份有限公司青岛京口路支行",
        "standByBankSubCode": "104452003139",
        "standByBankProvince": "4500",
        "standByBankCity": "4520"
    },
    "busInfo": {
        "busNo": "91370213MA3T8KUG9F",
        "busNm": "青岛兼程教育科技有限公司",
        "busCertBgn": "20200609",
        "busCertExpire": "29991231",
        "busCertDateStr": "2020-06-09---",
        "busProviceCode": "4500",
        "busCityCode": "4520",
        "busAreaCode": "4529",
        "busAdrStr": "山东省青岛市李沧区",
        "busCertType": "19",
        "busAddr": "山东省青岛市李沧区京口路111号A2022",
        "busCertTypeStr": "社会统一信用代码"
    },
    "imgPaths": {
        "A002": "/www/wwwroot/bin/go/baidu_sdk/static/img/20240904/1725436598200_image.png",
        "A006": "/www/wwwroot/bin/go/baidu_sdk/static/img/20240904/1725436576201_image5.png",
        "A007": "/www/wwwroot/bin/go/baidu_sdk/static/img/20240904/1725436582704_image5.png",
        "A008": "/www/wwwroot/bin/go/baidu_sdk/static/img/20240904/1725436588816_image5.png",
        "A001": "/www/wwwroot/bin/go/baidu_sdk/static/img/20240904/1725436672752_image3.png",
        "A004": "/www/wwwroot/bin/go/baidu_sdk/static/img/20240904/1725436726512_微信图片_20240612150538.jpg",
        "A005": "/www/wwwroot/bin/go/baidu_sdk/static/img/20240904/1725436734112_微信图片_20240612150526.jpg",
        "A003": "/www/wwwroot/bin/go/baidu_sdk/static/img/20240904/1725437019447_image2.png",
		"A0041":"/www/wwwroot/bin/go/baidu_sdk/static/img/20240904/微信图片_20240905101853.jpg"
    },
    "signInfo": {
        "busOpenType": "00",
        "contractType": "2",
        "isSendConMsg": "3",
        "notifyUrl": "",
        "codeScanT1Fee": {
            "wxPayFee": {
                "rateType": "0",
                "rateFee": "25",
                "rateBottom": "200"
            },
            "aliPayFee": {
                "rateType": "0",
                "rateFee": "25",
                "rateBottom": "200"
            },
            "bank1debitPayFee": {
                "rateType": "0",
                "rateFee": "25",
                "rateBottom": "200",
                "rateTop": "60000"
            },
            "bank1creditPayFee": {
                "rateType": "0",
                "rateFee": "25",
                "rateBottom": "200"
            },
            "bank2debitPayFee": {
                "rateType": "0",
                "rateFee": "25",
                "rateBottom": "200",
                "rateTop": "60000"
            },
            "bank2creditPayFee": {
                "rateType": "0",
                "rateFee": "25",
                "rateBottom": "200"
            }
        },
        "codeScanD0Fee": {
            "rateType": "0"
        },
        "d1Fee": {
            "rateType": "0"
        }
    },
    "payDeviceNo": "LDNS3022890N637808",
    "appChannelType": "1",
    "agreement": true
}
	}
}